List project environment variables
curl --request GET \
--url https://app.miget.com/api/v1/projects/{project_id}/vars \
--header 'Authorization: <api-key>'import requests
url = "https://app.miget.com/api/v1/projects/{project_id}/vars"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://app.miget.com/api/v1/projects/{project_id}/vars', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 123,
"key": "<string>",
"value": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
]Project Environment Variables
List project environment variables
Returns all environment variables defined at the project level. These variables are shared across all applications in the project that have project variables enabled.
GET
/
api
/
v1
/
projects
/
{project_id}
/
vars
List project environment variables
Authorizations
Bearer token for authentication. Format: 'Bearer {token}'
Headers
Workspace ID (uses default workspace if not provided)
Path Parameters
Project ID or UUID

